Bug 1306110 - New / Edit Domain "Use Host" is misleading for translators
New / Edit Domain "Use Host" is misleading for translators
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-4.1.0-beta
: 4.1.0.2
Assigned To: Tal Nisan
Raz Tamir
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 22:31 EST by Yuko Katabami
Modified: 2017-02-01 09:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-01 09:34:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
ylavi: planning_ack+
tnisan: devel_ack+
ratamir: testing_ack+


Attachments (Terms of Use)
"User Host" label in New/Edit Domain window (29.12 KB, image/png)
2016-02-09 22:31 EST, Yuko Katabami
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 70001 master MERGED webadmin: Change use host label in new or manage storage domain 2017-01-11 13:00 EST
oVirt gerrit 70047 ovirt-engine-4.1 MERGED webadmin: Change use host label in new or manage storage domain 2017-01-11 14:46 EST

  None (edit)
Description Yuko Katabami 2016-02-09 22:31:40 EST
Created attachment 1122643 [details]
"User Host" label in New/Edit Domain window

Description of problem:
There is a lable "User Host" on New Domain or Edit Domain windows in Admin Portal.
The string is a bit misleading as "use" is verb" but it is not action.
It is a field to specify Host to use.
The current English source string may cause misunderstanding to translators and possibly results in mistranslation.

Version-Release number of selected component (if applicable): 3.6


How reproducible: 100%


Steps to Reproduce:
1. Login to Admin Portal
2. Click "Storage" resource tab
3. Click either "New" or select an existing storage and click "Edit"

Actual results:
There is a label "Use Host" to specify a host to use for this storage.

Expected results:

It should be simply "Host" as it is obvious that we use the host for the storage.

Additional info:
Screenshot attached.
Comment 1 Allon Mureinik 2016-02-10 10:44:38 EST
(In reply to Yuko Katabami from comment #0)
> Expected results:
> It should be simply "Host" as it is obvious that we use the host for the
> storage.
This is not accurate - this is the host used to CREATE the storage domain. Once it's created, all the hosts in the DC use it. We need to think of a better term. Yaniv - can you suggest a team?


Regardless, IMHO, from a UX perspective, this field doesn't make too much sense. The default should be null, and have the engine choose a host itself, and this should be hidden somewhere as an advanced option, if a user really has a specific need to use some host.
Comment 2 Yaniv Lavi 2016-02-14 08:11:42 EST
(In reply to Allon Mureinik from comment #1)
> (In reply to Yuko Katabami from comment #0)
> > Expected results:
> > It should be simply "Host" as it is obvious that we use the host for the
> > storage.
> This is not accurate - this is the host used to CREATE the storage domain.
> Once it's created, all the hosts in the DC use it. We need to think of a
> better term. Yaniv - can you suggest a term?

"Create using host" ? 

> 
> 
> Regardless, IMHO, from a UX perspective, this field doesn't make too much
> sense. The default should be null, and have the engine choose a host itself,
> and this should be hidden somewhere as an advanced option, if a user really
> has a specific need to use some host.

+1
Maybe this is the bug we should fix for RHEV 4.0.
Comment 3 Yuko Katabami 2016-02-14 15:42:43 EST
"Create using host" would cause the same issue as it would translate into an imperative sentence, as it starts with a verb. (not much change from "Use Host").
It needs to be a noun phrase.
How about "Host to use"?
Comment 4 Allon Mureinik 2016-02-15 08:20:02 EST
(In reply to Yuko Katabami from comment #3)
> "Create using host" would cause the same issue as it would translate into an
> imperative sentence, as it starts with a verb. (not much change from "Use
> Host").
> It needs to be a noun phrase.
> How about "Host to use"?

Sounds good to me.
To sum up:
1. This drop-down needs to be moved to the advanced options section (need to consult with UXD on how exactly to do this)
2. The default should be null (styles as "choose automatically", and the engine should choose a host itself like it does in REST API by default
3. The label should be changed to "Host to use"
Comment 5 Tal Nisan 2017-01-11 08:03:52 EST
Looking around the various commands using this hosts it seems that the suggested additional changes might entail many regressions as:
1. All of the commands derived from this popup assume that the host is populated correctly
2. This will also affect the RESTAPI behavior as well

This bug's original intention was fixing the label in order to have better translations and this will be fixed in the scope of this bug.
Given the risk, the 1st and 2nd suggested changes in comment 4 will not be done in the scope of this bug and if deemed necessary by anyone, please open a separate RFE.
Comment 6 Raz Tamir 2017-01-22 11:50:54 EST
Verified on ovirt-engine-4.1.0.3-0.0.master.20170122091652.gitc6fc2c2.el7.centos

Now the verb is "Host to use"

Note You need to log in before you can comment on or make changes to this bug.